package com.steering.mes.mcp.entity;

/**
 * Created by 朱少波 on 2018/10/26.
 */
/**
 * 数据库表MCH_COM_SETPLINE所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-10-26
 */
@SuppressWarnings("serial")
public class MchComSetplineEntity implements java.io.Serializable {
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线名称
     */
    private String plineName = "";
    /**
     * 工序点代码集合
     */
    private String stationCodes = "";
    /**
     * 工序点名称集合
     */
    private String stationNames = "";
    /**
     * 操作日期
     */
    private String userDate = "";
    /**
     * 操作人姓名
     */
    private String userName = "";
    /**
     * 离线去向
     */
    private String offlinePlace = "";

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工序点代码集合
     * @return value
     */
    public String getStationCodes() {
        return stationCodes;
    }

    /**
     * 工序点代码集合
     * @param stationCodes value
     */
    public void setStationCodes(String stationCodes) {
        this.stationCodes = stationCodes;
    }

    /**
     * 工序点名称集合
     * @return value
     */
    public String getStationNames() {
        return stationNames;
    }

    /**
     * 工序点名称集合
     * @param stationNames value
     */
    public void setStationNames(String stationNames) {
        this.stationNames = stationNames;
    }

    /**
     * 操作日期
     * @return value
     */
    public String getUserDate() {
        return userDate;
    }

    /**
     * 操作日期
     * @param userDate value
     */
    public void setUserDate(String userDate) {
        this.userDate = userDate;
    }

    /**
     * 操作人姓名
     * @return value
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 操作人姓名
     * @param userName value
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 离线去向
     * @return value
     */
    public String getOfflinePlace() {
        return offlinePlace;
    }

    /**
     * 离线去向
     * @param offlinePlace value
     */
    public void setOfflinePlace(String offlinePlace) {
        this.offlinePlace = offlinePlace;
    }
}